%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\([^.]*\\.pl\\)

Name:       groff
Version:    1.22.4
Release:    %mkrel 1

License:    GPLv2+
URL:        http://www.gnu.org/software/groff/
Summary:    Document formatting system
Group:      Text tools
Source0:    ftp://ftp.gnu.org/gnu/groff/%{name}-%{version}.tar.xz
Source1:    troff-to-ps.fpi
Patch1:     groff-1.20.1-nroff-convert-encoding.patch
Patch2:     groff-info-missing-x11.patch

BuildRequires: netpbm
BuildRequires: psutils
BuildRequires: ghostscript
BuildRequires: texinfo


Requires: groff-for-man

%description
Groff is a document formatting system. Groff takes standard text and
formatting commands as input and produces formatted output. The created
documents can be shown on a display or printed on a printer. Groff's
formatting commands allow you to specify font type and size, bold type,
italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting
system. Groff can also be used to format man pages. If you are going to
use groff with the X Window System, you'll also need to install the
groff-gxditview package.

%files
%{_bindir}/addftinfo
%{_bindir}/gdiffmk
%{_bindir}/grn
%{_bindir}/grodvi
%{_bindir}/grolbp
%{_bindir}/grolj4
%{_bindir}/hpftodit
%{_bindir}/indxbib
%{_bindir}/lkbib
%{_bindir}/lookbib
%{_bindir}/neqn
%{_bindir}/pdfroff
%{_bindir}/pfbtops
%{_bindir}/pic
%{_bindir}/post-grohtml
%{_bindir}/pre-grohtml
%{_bindir}/refer
%{_bindir}/soelim
%{_bindir}/zsoelim
%{_bindir}/tfmtodit
%dir %{_libdir}/groff
%{_libdir}/groff/groff_opts_no_arg.txt
%{_libdir}/groff/groff_opts_with_arg.txt
%{_datadir}/groff/%{version}/eign
%{_datadir}/groff/%{version}/font/devX100
%{_datadir}/groff/%{version}/font/devX100-12
%{_datadir}/groff/%{version}/font/devX75
%{_datadir}/groff/%{version}/font/devX75-12
%{_datadir}/groff/%{version}/font/devcp1047
%{_datadir}/groff/%{version}/font/devdvi
%{_datadir}/groff/%{version}/font/devhtml
%{_datadir}/groff/%{version}/font/devlbp
%{_datadir}/groff/%{version}/font/devlj4
%{_datadir}/groff/%{version}/font/devpdf
%{_datadir}/groff/%{version}/font/devps
%{_datadir}/groff/%{version}/oldfont/devps
%{_datadir}/groff/%{version}/pic/chem.pic
%{_infodir}/groff*
%{_mandir}/man1/addftinfo.*
%{_mandir}/man1/gdiffmk.*
%{_mandir}/man1/grn.*
%{_mandir}/man1/grodvi.*
%{_mandir}/man1/grohtml.*
%{_mandir}/man1/grolbp.*
%{_mandir}/man1/grolj4.*
%{_mandir}/man1/hpftodit.*
%{_mandir}/man1/indxbib.*
%{_mandir}/man1/lkbib.*
%{_mandir}/man1/lookbib.*
%{_mandir}/man1/neqn.*
%{_mandir}/man1/pdfroff.*
%{_mandir}/man1/pfbtops.*
%{_mandir}/man1/pic.*
%{_mandir}/man1/refer.*
%{_mandir}/man1/soelim.*
%{_mandir}/man1/tfmtodit.*
%{_mandir}/man5/*
%{_mandir}/man7/*

#------------------------------------------------------------------------------#

%package for-man
Summary:   Groff components required for viewing manpages
Group:     Text tools

%description for-man
The groff-for-man package contains the parts of the groff text processor
package that are required for viewing manpages.
For a full groff package, install package groff.

%files for-man
%{_bindir}/eqn
%{_bindir}/groff
%{_bindir}/grops
%{_bindir}/grotty
%{_bindir}/nroff
%{_bindir}/preconv
%{_bindir}/tbl
%{_bindir}/troff
%{_datadir}/groff/current
%dir %{_datadir}/groff
%dir %{_datadir}/groff/%{version}
%{_datadir}/groff/%{version}/tmac
%dir %{_datadir}/groff/%{version}/font
%{_datadir}/groff/%{version}/font/devascii
%{_datadir}/groff/%{version}/font/devlatin1
%{_datadir}/groff/%{version}/font/devutf8
%dir %{_datadir}/groff/site-tmac
%{_datadir}/groff/site-tmac/man.local
%{_datadir}/groff/site-tmac/mdoc.local
%{_mandir}/man1/eqn.*
%{_mandir}/man1/groff.*
%{_mandir}/man1/grops.*
%{_mandir}/man1/grotty.*
%{_mandir}/man1/preconv.*
%{_mandir}/man1/nroff.*
%{_mandir}/man1/tbl.*
%{_mandir}/man1/troff.*

#------------------------------------------------------------------------------#

%package perl
Summary:   Parts of the groff formatting system that require Perl
Group:	   Text tools
Requires:  groff-for-man

%description perl
The groff-perl package contains the parts of the groff text processor
package that require Perl. These include the afmtodit font processor for
creating PostScript font files, the chem preprocessor for producing
chemical structure diagrams, the groffer utility which can be used to
display groff files, the grog utility which can be used to automatically
determine groff command-line options, utilities for converting roff files
to other formats, and the troff-to-ps print filter.

%files perl
%{_bindir}/afmtodit
%{_bindir}/chem
%{_bindir}/gperl
%{_bindir}/gpinyin
%{_bindir}/glilypond
%{_bindir}/groffer
%{_bindir}/grog
%{_bindir}/gropdf
%{_bindir}/mmroff
%{_bindir}/pdfmom
%{_bindir}/roff2dvi
%{_bindir}/roff2html
%{_bindir}/roff2pdf
%{_bindir}/roff2ps
%{_bindir}/roff2text
%{_bindir}/roff2x
%{_libdir}/groff/groffer
%{_libdir}/rhs/rhs-printfilters/troff-to-ps.fpi
%{_mandir}/man1/afmtodit.*
%{_mandir}/man1/chem.*
%{_mandir}/man1/gperl.*
%{_mandir}/man1/gpinyin.*
%{_mandir}/man1/glilypond.*
%{_mandir}/man1/groffer.*
%{_mandir}/man1/grog.*
%{_mandir}/man1/gropdf.*
%{_mandir}/man1/mmroff.*
%{_mandir}/man1/pdfmom.*
%{_mandir}/man1/roff2dvi.*
%{_mandir}/man1/roff2html.*
%{_mandir}/man1/roff2ps.*
%{_mandir}/man1/roff2pdf.*
%{_mandir}/man1/roff2text.*
%{_mandir}/man1/roff2x.*
%{_libdir}/groff/glilypond/args.pl
%{_libdir}/groff/glilypond/oop_fh.pl
%{_libdir}/groff/glilypond/subs.pl
%{_libdir}/groff/gpinyin/subs.pl
%{_libdir}/groff/grog/subs.pl

#------------------------------------------------------------------------------#

%package x11
Summary:   Parts of the groff formatting system that require X Windows System
Group:     Text tools
BuildRequires: pkgconfig(xaw7) 
BuildRequires: pkgconfig(xmu)
Requires:  groff-for-man
Requires:  imagemagick
Obsoletes: %{name}-gxditview
Provides:  %{name}-gxditview = %{version}-%{release}

%description x11
The groff-x11 package contains the parts of the groff text processor package
that require X Windows System. These include:
  o Gxditview displays the groff text processor's output on an X Window System
    display. If you are going to use groff as a text processor, you should
    install gxditview so that you preview your processed text files in X.
  o xtotroff converts X font metrics into groff font metrics
  o eqn2graph converts EQN equation descriptions to bitmap images
  o grap2graph compiles graph description descriptions to bitmap images
  o pic2graph compiles PIC image descriptions to bitmap images

You'll need to install the groff package and the X Window System.

%files x11
%{_bindir}/eqn2graph
%{_bindir}/grap2graph
%{_bindir}/gxditview
%{_bindir}/pic2graph
%{_bindir}/xtotroff
%{_libdir}/X11/app-defaults/GXditview
%{_libdir}/X11/app-defaults/GXditview-color
%{_mandir}/man1/eqn2graph.*
%{_mandir}/man1/grap2graph.*
%{_mandir}/man1/gxditview.*
%{_mandir}/man1/pic2graph.*
%{_mandir}/man1/xtotroff.*

#------------------------------------------------------------------------------#

%package doc
Summary:   Parts of the groff formatting system that require X Windows System
Group:     Documentation

%description doc
The groff-doc package contains groff documentation.

%files doc
%{_docdir}/groff-%{version}/

#------------------------------------------------------------------------------#

%prep
%setup -q
%apply_patches

%build
%configure2_5x --with-appresdir=%{_libdir}/X11/app-defaults/
%make_build

%install
%make_install

mkdir -p %{buildroot}/%{_libdir}/rhs/rhs-printfilters
install -m755 %{SOURCE1} %{buildroot}/%{_libdir}/rhs/rhs-printfilters

ln -fs %{_bindir}/soelim %{buildroot}/%{_bindir}/zsoelim

%changelog
* Sat Jul 20 2019 tex - 1.22.4-1pclos2019
- update
